Subject: [magma] MLDv2: operation without state change reports: exclude list

From: Erik Nordmark <[email-masked]>
Date: Fri, 14 Feb 2003 18:12:11 +0100 (CET)

Proceeding with the exclude list (i.e. (B) in section 6.4.1) I get
even more confused.

It seems very hard to understand what (B) is with the given definition.

What I can understand is the need to maintain the intersection of
the source lists for all the listeners in EXCLUDE state, but this
is not what (B) says.
When operating with mixed listeners the set of sources that can be excluded
by the router is the above intersection minus the (union of all the listeners
in INCLUDE state).
But I think it is a lot easier to analyze the protocol if
one describes this separately.

For instance, it is impossible for me to grasp how the protocol recovers
from total packet loss of state change reports (i.e. falls back
to using the periodic queries to rebuild state) when one or more
listeners in EXCLUDE state reduces the set of sources that they don't
want to hear.

  Erik

_______________________________________________
magma mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/magma